from app.services.external_api.base_external_service import BaseExternalService

class ScryfallService(BaseExternalService):
    def __init__(self):
        super().__init__(base_url="https://api.scryfall.com/")

    async def get_color_identity(self, scryfall_id: str) -> str:
        """Get the color identity of a card from Scryfall API"""
        endpoint = f"cards/{scryfall_id}"
        results = await self._make_request("GET", endpoint)
        return results['color_identity']